<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="./style.css">
    <script async defer src="./script.js" type="text/javascript"></script>
    <title>JS Basics</title>
</head>

<body>
    <form id="inpForm" formLabel="form">
        <fieldset id="brd">
            <legend id="border">Personalia:</legend>
            <input id="mail" type="email" placeholder="Email Id">
            <span class="confirm"></span>

            <br>
            <br>
            <input id="pass" type="password" placeholder="Password">
            <span style="font-style: italic;" class="info" id="passInfo"><b>i</b></span>
            <span class="theInfo">
                <ul>
                    <li>Password must contain atleast 6 characters</li>
                    <li>Password must contain at least 1 uppercase character</li>
                    <li>Password must contain at least 1 lower character</li>
                </ul>
            </span>
            <span class="confirm"></span>
            <br>
            <br>
            <span>Gender: </span>

            <select id="gender" name="sex">
                <option value="Male">Male</option>
                <option value="Female">Female</option>
                <option value="Other">Other</option>
            </select>
            <span class="confirm"></span>
            <br><br>
            <span>Role: </span>
            <input type="radio" id="admin" value="Admin" name="Role">
            <label for="admin">Admin</label>
            <input type="radio" id="user" value="User" name="Role">
            <label for="user">User</label>
            <span class="confirm"></span>
            <br><br>
            <span>Permissions: </span>
            <input class="permission" type="checkbox" value="Permission1" name="permission" id="Perm1">
            <label for="Perm1">Perm1</label>
            <input class="permission" type="checkbox" value="Permission2" name="permission" id="Perm2">
            <label for="Perm2">Perm2</label>
            <input class="permission" type="checkbox" value="Permission3" name="permission" id="Perm3">
            <label for="Perm3">Perm3</label>
            <input class="permission" type="checkbox" value="Permission4" name="permission" id="Perm4">
            <label for="Perm4">Perm4</label>
            <span style="font-style: italic;" class="info" id="passInfo"><b>i</b></span>
            <span class="theInfo">
                <ul>
                    <li>Must check atleast 2 permission</li>
                </ul>
            </span>
            <span class="confirm"></span>
            <br><br>
            <button type="submit" id="btnSubmit"><b>SUBMIT</b></button>
        </fieldset>

    </form>
    <div id="errorMsg"></div>
</body>

</html>